//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
#property copyright "Roman_M"
#property link      ""


extern int    x1 = 20;
extern int    x2 = 70;
extern int    x3 = 80;
extern int    x4 = 170;
extern int    x5 = 80;

extern int    G1 = -16;
extern int    G2 = 4;
extern int    G3 = -2;
extern int    G4 = 5;
extern int    G5 = 35;

extern double sl = 45;
extern int p=35;
extern double lots = 1;
extern int MagicNumber = 888;

int prevtime = 0,total_hist;
double prof1;
double tp;
int start()
  {
   if(Time[0] == prevtime) 
       return(0);
   prevtime = Time[0];
  

prof1=0;

tp=MathRound(sl*1.5);
total_hist=OrdersHistoryTotal();

for (int s=0; s<total_hist; s++)
{
  if (OrderSelect(s,SELECT_BY_POS,MODE_HISTORY ))
   {
     if (OrderMagicNumber()==MagicNumber){prof1 = prof1+OrderProfit();}
    
  } 
  }    
Comment("    ",prof1);   

   int total = OrdersTotal();   

   if(perceptron() > p && total==0) 
     { 
      OrderSend(Symbol(), OP_BUY, lots, Ask, 3, Bid - sl * Point, Ask + tp * Point, "1", MagicNumber, 0, Blue); 
     
     } 
   if(perceptron() < -p && total==0) 
     { 
       OrderSend(Symbol(), OP_SELL, lots, Bid, 3, Ask + sl * Point, Ask - tp * Point, "1", MagicNumber, 0, Red);       
     }

   return(0);
  }

double perceptron() 
  {
   double w1 = x1 - 100;
   double w2 = x2 - 100;
   double w3 = x3 - 100;
   double w4 = x4 - 100;
   double w5 = x5 - 100; 
   
   double a1 = (Bid+G1*Point-iLow( NULL, 0, 1))*100 ;
   double a2 = (Bid+G2*Point-(iHigh( NULL, 0, 2)+iLow( NULL, 0, 2)/2))*100 ;
   double a3 = (Bid+G3*Point-(iHigh( NULL, 0, 4)+iLow( NULL, 0, 4)/2))*100;
   double a4 = (Bid+G4*Point-(iHigh( NULL, 0, 12)+iLow( NULL, 0, 12)/2))*100 ;
   double a5 = (Bid+G5*Point-(iHigh( NULL, 0, 24)+iLow( NULL, 0, 24)/2))*100 ;
   
   return(w1 * a1 + w2 * a2 + w3 * a3 + w4 * a4+ w5 * a5);  
  
  }
//+------------------------------------------------------------------+


